// Created by Repex97

#include "normalization.h"

/*
    Definitions
*/

int normalize(ai_float * f){
    ai_float m_modlus = 2/(IMP_MODLUS_MAX-IMP_MODLUS_MIN);
    ai_float m_phase = 2/(IMP_PHASE_MAX-IMP_PHASE_MIN);
    ai_float q_modlus = IMP_MODLUS_MIN;
    ai_float q_phase = IMP_PHASE_MIN;
    f[0] = m_modlus*(f[0]-q_modlus)-1;
    f[1] = m_phase*(f[1]-q_phase)-1;
    return 0;
}

